'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var b2b = require('@stytch/vanilla-js/b2b');
var StytchSSRProxy = require('../StytchSSRProxy-86bc42b3.js');

/**
 * Creates a Stytch UI client object to call the Stytch APIs and render Stytch UI components.
 * The Stytch client is not available serverside.
 * If you do not use Stytch UI components, use {@link createStytchB2BHeadlessClient} to reduce your bundle size.
 * @example
 * const stytch = createStytchB2BUIClient('public-token-<find yours in the stytch dashboard>')
 *
 * return (
 *   <StytchB2BProvider stytch={stytch}>
 *     <App />
 *   </StytchB2BProvider>
 * )
 * @returns A {@link StytchB2BUIClient}
 */
const createStytchB2BUIClient = (...args) => {
    if (typeof window === 'undefined') {
        return StytchSSRProxy.createStytchSSRProxy();
    }
    return new b2b.StytchB2BUIClient(...args);
};

exports.createStytchB2BUIClient = createStytchB2BUIClient;
