'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var headless = require('@stytch/vanilla-js/headless');
var StytchSSRProxy = require('./StytchSSRProxy-86bc42b3.js');

/**
 * Creates a Headless Stytch client object to call the stytch APIs.
 * The Stytch client is not available serverside.
 * @example
 * const stytch = createStytchHeadlessClient('public-token-<find yours in the stytch dashboard>')
 *
 * return (
 *   <StytchProvider stytch={stytch}>
 *     <App />
 *   </StytchProvider>
 * )
 * @returns A {@link StytchHeadlessClient}
 */
const createStytchHeadlessClient = (...args) => {
    if (typeof window === 'undefined') {
        return StytchSSRProxy.createStytchSSRProxy();
    }
    return new headless.StytchHeadlessClient(...args);
};

exports.createStytchHeadlessClient = createStytchHeadlessClient;
